[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# fmShareDenyRead

Lock file so other processes cannot read.

## Declaration

Source position: filutilh.inc line 66

`const fmShareDenyRead = $0030;`

## Description

fmOpenShareRead is used in the FileOpen call OR-ed together with one of fmOpenReadWrite, fmOpenRead or fmOpenWrite, to open a file so other processes cannot read from it.

This constant only works on Windows, because other operating systems do not support this constants.

## See also

FileOpen |  | Open an existing file and return a filehandle

Documentation generated on: Feb 26 2014